Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.component.html
Class HtmlAjaxSupport

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  org.ajax4jsf.component.AjaxActionComponent
                      org.ajax4jsf.component.UIAjaxSupport
                          org.ajax4jsf.component.html.HtmlAjaxSupport

All Implemented Interfaces:
  javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.component.AjaxSupport, org.ajax4jsf.event.AjaxSource

    public class HtmlAjaxSupport

extends UIAjaxSupport

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class org.ajax4jsf.component.UIAjaxSupport
`AJAX_SUPPORT_SET, DEFAULT_RENDERER_TYPE`

Fields inherited from class org.ajax4jsf.component.AjaxActionComponent
`FOCUS_DATA_ID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Constructor Summary
`HtmlAjaxSupport()`

Method Summary
`java.lang.Object` | `getData()`
`java.lang.String` | `getEvent()`
`java.lang.String` | `getEventsQueue()`
`java.lang.String` | `getFamily()`
`java.lang.String` | `getFocus()`
`java.lang.String` | `getOnbeforedomupdate()`
`java.lang.String` | `getOncomplete()`
`java.lang.String` | `getOnsubmit()`
`java.lang.Object` | `getProcess()`
`int` | `getRequestDelay()`
`java.lang.Object` | `getReRender()`
`java.lang.String` | `getSimilarityGroupingId()`
`java.lang.String` | `getStatus()`
`int` | `getTimeout()`
`boolean` | `isAjaxSingle()`
`boolean` | `isBypassUpdates()`
`boolean` | `isDisabled()`
`boolean` | `isDisableDefault()`
`boolean` | `isIgnoreDupResponses()`
`boolean` | `isLimitToList()`
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAjaxSingle(boolean _ajaxSingle)`
`void` | `setBypassUpdates(boolean _bypassUpdates)`
`void` | `setData(java.lang.Object _data)`
`void` | `setDisabled(boolean _disabled)`
`void` | `setDisableDefault(boolean _disableDefault)`
`void` | `setEvent(java.lang.String _event)`
`void` | `setEventsQueue(java.lang.String _eventsQueue)`
`void` | `setFocus(java.lang.String _focus)`
`void` | `setIgnoreDupResponses(boolean _ignoreDupResponses)`
`void` | `setLimitToList(boolean _limitToList)`
`void` | `setOnbeforedomupdate(java.lang.String _onbeforedomupdate)`
`void` | `setOncomplete(java.lang.String _oncomplete)`
`void` | `setOnsubmit(java.lang.String _onsubmit)`
`void` | `setProcess(java.lang.Object _process)`
`void` | `setRequestDelay(int _requestDelay)`
`void` | `setReRender(java.lang.Object _reRender)`
`void` | `setSimilarityGroupingId(java.lang.String _similarityGroupingId)`
`void` | `setStatus(java.lang.String _status)`
`void` | `setTimeout(int _timeout)`

Methods inherited from class org.ajax4jsf.component.UIAjaxSupport
`decode, getEventString, getSingleComponent, setParent, setParentProperties, setValueExpression`

Methods inherited from class org.ajax4jsf.component.AjaxActionComponent
`addAjaxListener, broadcast, getAjaxListeners, queueEvent, removeAjaxListener, setupReRender, setupReRender`

Methods inherited from class javax.faces.component.UICommand
`addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### HtmlAjaxSupport

    public HtmlAjaxSupport()

Method Detail

### isAjaxSingle

    public boolean isAjaxSingle()

### setAjaxSingle

    public void setAjaxSingle(boolean _ajaxSingle)

### isBypassUpdates

    public boolean isBypassUpdates()

### setBypassUpdates

    public void setBypassUpdates(boolean _bypassUpdates)

### getData

    public java.lang.Object getData()

### setData

    public void setData(java.lang.Object _data)

### isDisableDefault

    public boolean isDisableDefault()

### setDisableDefault

    public void setDisableDefault(boolean _disableDefault)

### isDisabled

    public boolean isDisabled()

### setDisabled

    public void setDisabled(boolean _disabled)

### getEvent

    public java.lang.String getEvent()

### setEvent

    public void setEvent(java.lang.String _event)

### getEventsQueue

    public java.lang.String getEventsQueue()

### setEventsQueue

    public void setEventsQueue(java.lang.String _eventsQueue)

### getFocus

    public java.lang.String getFocus()

### setFocus

    public void setFocus(java.lang.String _focus)

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean _ignoreDupResponses)

### isLimitToList

    public boolean isLimitToList()

### setLimitToList

    public void setLimitToList(boolean _limitToList)

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String _onbeforedomupdate)

### getOncomplete

    public java.lang.String getOncomplete()

### setOncomplete

    public void setOncomplete(java.lang.String _oncomplete)

### getOnsubmit

    public java.lang.String getOnsubmit()

### setOnsubmit

    public void setOnsubmit(java.lang.String _onsubmit)

### getProcess

    public java.lang.Object getProcess()

### setProcess

    public void setProcess(java.lang.Object _process)

### getReRender

    public java.lang.Object getReRender()

### setReRender

    public void setReRender(java.lang.Object _reRender)

### getRequestDelay

    public int getRequestDelay()

### setRequestDelay

    public void setRequestDelay(int _requestDelay)

### getSimilarityGroupingId

    public java.lang.String getSimilarityGroupingId()

### setSimilarityGroupingId

    public void setSimilarityGroupingId(java.lang.String _similarityGroupingId)

### getStatus

    public java.lang.String getStatus()

### setStatus

    public void setStatus(java.lang.String _status)

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int _timeout)

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UICommand`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UICommand`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UICommand`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.